/**
 * 配置
 * 表格列
 */
export const columns = [
	{
		title: "订单号",
		dataIndex: "code",
		width: "15%",
	},
	{
		title: "创建时间",
		dataIndex: "createDate",
		width: "15%",
	},
	{
		title: "付款方式",
		dataIndex: "payType",
		width: "15%",
		customRender: function (payType) {
			switch (payType) {
			case 1:
				return '支付宝'
			case 2:
				return '微信'
			case 3:
				return '现金'
			case 4:
				return 'pos'
			case 5:
				return '预缴扣除'
			case 6:
				return '银行卡'
			case 7:
				return '支票'
			case 8:
				return '转账'
			case 9:
				return '开发商代付'
			default:
				break;
			}
		}
	},
	// {
	// 	title: "jcook订单号",
	// 	dataIndex: "jcookCode",
	// 	width: "15%",
	// },
	// {
	// 	title: "支付宝交易号",
	// 	dataIndex: "tradeNo",
	// 	width: "15%",
	// },
	// {
	// 	title: "交易状态",
	// 	dataIndex: "tradeStatus",
	// 	width: "15%",
	// },
	// {
	// 	title: "支付人名称",
	// 	dataIndex: "payName",
	// 	width: "15%",
	// },
	// {
	// 	title: "支付人联系方式",
	// 	dataIndex: "payTel",
	// 	width: "15%",
	// },
	// {
	// 	title: "付款方式",
	// 	dataIndex: "payType",
	// 	width: "15%",
	// },
	// {
	// 	title: "付款金额",
	// 	dataIndex: "payPrice",
	// 	width: "15%",
	// },
	// {
	// 	title: "运费",
	// 	dataIndex: "freightFee",
	// 	width: "15%",
	// },
	// {
	// 	title: "收货人",
	// 	dataIndex: "receiverName",
	// 	width: "15%",
	// },
	// {
	// 	title: "收货人联系方式",
	// 	dataIndex: "receiverTel",
	// 	width: "15%",
	// },
	// {
	// 	title: "所在地区名称",
	// 	dataIndex: "locationName",
	// 	width: "15%",
	// },
	// {
	// 	title: "详细地址",
	// 	dataIndex: "addressDetail",
	// 	width: "15%",
	// },
	// {
	// 	title: "运费",
	// 	dataIndex: "freightFee",
	// 	width: "15%",
	// },
	// {
	// 	title: "运费",
	// 	dataIndex: "freightFee",
	// 	width: "15%",
	// },
	// {
	// 	title: "房屋类型",
	// 	dataIndex: "manageEstateTypeName",
	// 	width: "15%",
	// },
	{
		title: "操作",
		dataIndex: "action",
		key: "action",
		width: "180",
		fixed: "right",
		scopedSlots: { customRender: "action" },
	},
]
// 搜索项
export const searchForm = {
	code: "",
	jcookCode: '',
	tradeStatus:null
}
// 分页
export const pagination = {
	current: 1,
	total: 0,
	pageSize: 10,
	showTotal: (total) => `共 ${total} 条`,
	showSizeChanger: true,
	showQuickJumper: true,
}
export function del(data) {
	this.$confirm({
		title: "是否删除",
		// okText:'删除',
		// cancelText:'取消',
		icon: "",
		onOk: function () {
			console.log(data);
		},
	});
}